%define __python %{__python3}

Name:           lybniz
Version:        3.0.4
Release:        %mkrel 10
Summary:        A function graph plotter
Group:          Sciences/Mathematics
License:        BSD
URL:            https://github.com/thomasfuhringer/lybniz
Source0:        https://github.com/thomasfuhringer/lybniz/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         0001-Fix-build-with-setuptools60.patch
Patch1:         0001-add-French_update-Polish.patch

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  git-core
BuildRequires:  hicolor-icon-theme
Requires:       python3
Requires:       python3-cairo
Requires:       python3-gobject3
Requires:       yelp

%description
Lybniz is an easy to use mathematical function graph plotter using
Python on GTK.

%prep
%autosetup -S git

%build
%py3_build

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog.txt PKG-INFO README.md
%license LICENSE
%{python3_sitelib}/%{name}*
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}*
%{_datadir}/icons/hicolor/scalable/apps/%{name}*
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/help/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Tue Mar 11 2025 papoteur <papoteur> 3.0.4-10.mga10
+ Revision: 2162737
- rebuild for python3.13

* Mon Jan 01 2024 papoteur <papoteur> 3.0.4-9.mga10
+ Revision: 2024944
- rebuild for python 3.12

* Mon Jan 02 2023 daviddavid <daviddavid> 3.0.4-8.mga9
+ Revision: 1928978
- add patch to fix build
- add French and update Polish translations

* Wed Mar 23 2022 umeabot <umeabot> 3.0.4-7.mga9
+ Revision: 1821114
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 3.0.4-6.mga9
+ Revision: 1787066
- rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 3.0.4-5.mga9
+ Revision: 1733557
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 3.0.4-4.mga9
+ Revision: 1732358
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.0.4-3.mga8
+ Revision: 1533514
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 3.0.4-2.mga8
+ Revision: 1444570
- rebuild for python3.8

* Wed Mar 06 2019 alexl <alexl> 3.0.4-1.mga7
+ Revision: 1371771
- version 3.0.4

* Wed Feb 20 2019 alexl <alexl> 3.0.4-0.1.git20190220.mga7
+ Revision: 1369009
- update url
- the latest git snapshot (mga#24324)
- del upstreamed stuff

* Fri Feb 08 2019 alexl <alexl> 1.3.2-14.mga7
+ Revision: 1364137
- update translations from tx
- better Categories for desktop file

* Tue Sep 18 2018 umeabot <umeabot> 1.3.2-13.mga7
+ Revision: 1263643
- Mageia 7 Mass Rebuild

* Sat Jan 14 2017 alexl <alexl> 1.3.2-12.mga6
+ Revision: 1081602
- update langs from transifex

* Sat Feb 20 2016 umeabot <umeabot> 1.3.2-11.mga6
+ Revision: 972488
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 alexl <alexl> 1.3.2-10.mga6
+ Revision: 900214
- add man page from Debian
- update langs from transifex

* Wed Jul 15 2015 alexl <alexl> 1.3.2-9.mga6
+ Revision: 854519
- add i18n support
- update invalidfunction.patch for gettext

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-8.mga5
+ Revision: 740832
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 alexl <alexl> 1.3.2-7.mga5
+ Revision: 738080
- indicating invalid functions (invalidfunction.patch), thanks to Gjermud Bjaanes

* Mon Sep 29 2014 alexl <alexl> 1.3.2-6.mga5
+ Revision: 731732
- deleted unused patch (exec-desktop)

* Sat Sep 27 2014 tv <tv> 1.3.2-5.mga5
+ Revision: 727020
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-4.mga5
+ Revision: 682104
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 alexl <alexl> 1.3.2-3.mga5
+ Revision: 659983
- added GenericName in desktop file
- translated desktop file

* Sat May 31 2014 pterjan <pterjan> 1.3.2-2.mga5
+ Revision: 628320
- Rebuild for new Python

* Thu Apr 17 2014 alexl <alexl> 1.3.2-1.mga5
+ Revision: 615433
- imported package lybniz

